Magick++: Magick Namespace Reference

Magick++ 7.1.0

Classes | Typedefs | Functions | Variables
Magick Namespace Reference

## Classes

class | adaptiveBlurImage
class | adaptiveThresholdImage
class | addNoiseImage
class | adjoinImage
class | affineTransformImage
class | alphaFlagImage
class | alphaImage
class | animationDelayImage
class | animationIterationsImage
class | annotateImage
class | backgroundColorImage
class | backgroundTextureImage
class | Blob
class | BlobRef
class | blurImage
class | borderColorImage
class | borderImage
class | boxColorImage
class | cdlImage
class | channelImage
class | ChannelMoments
class | ChannelPerceptualHash
class | ChannelStatistics
class | charcoalImage
class | chopImage
class | chromaBluePrimaryImage
class | chromaGreenPrimaryImage
class | chromaRedPrimaryImage
class | chromaWhitePointImage
class | CoderInfo
class | Color
class | ColorCMYK
class | colorFuzzImage
class | ColorGray
class | ColorHSL
class | colorizeImage
class | colorMapImage
class | colorMatrixImage
class | ColorMono
class | ColorRGB
class | colorSpaceImage
class | ColorYUV
class | commentImage
class | composeImage
class | compositeImage
class | compressTypeImage
class | contrastImage
class | Coordinate
class | cropImage
class | cycleColormapImage
class | densityImage
class | depthImage
class | despeckleImage
class | distortImage
class | Drawable
class | DrawableAffine
class | DrawableAlpha
class | DrawableArc
class | DrawableBase
class | DrawableBezier
class | DrawableBorderColor
class | DrawableCircle
class | DrawableClipPath
class | DrawableClipRule
class | DrawableClipUnits
class | DrawableColor
class | DrawableCompositeImage
class | DrawableDensity
class | DrawableEllipse
class | DrawableFillColor
class | DrawableFillOpacity
class | DrawableFillPatternUrl
class | DrawableFillRule
class | DrawableFont
class | DrawableGravity
class | DrawableLine
class | DrawableMiterLimit
class | DrawablePath
class | DrawablePoint
class | DrawablePointSize
class | DrawablePolygon
class | DrawablePolyline
class | DrawablePopClipPath
class | DrawablePopGraphicContext
class | DrawablePopPattern
class | DrawablePushClipPath
class | DrawablePushGraphicContext
class | DrawablePushPattern
class | DrawableRectangle
class | DrawableRotation
class | DrawableRoundRectangle
class | DrawableScaling
class | DrawableSkewX
class | DrawableSkewY
class | DrawableStrokeAntialias
class | DrawableStrokeColor
class | DrawableStrokeDashArray
class | DrawableStrokeDashOffset
class | DrawableStrokeLineCap
class | DrawableStrokeLineJoin
class | DrawableStrokeOpacity
class | DrawableStrokePatternUrl
class | DrawableStrokeWidth
class | DrawableText
class | DrawableTextAlignment
class | DrawableTextAntialias
class | DrawableTextDecoration
class | DrawableTextDirection
class | DrawableTextInterlineSpacing
class | DrawableTextInterwordSpacing
class | DrawableTextKerning
class | DrawableTextUnderColor
class | DrawableTranslation
class | DrawableViewbox
class | drawImage
class | edgeImage
class | embossImage
class | endianImage
class | enhanceImage
class | equalizeImage
class | Error
class | ErrorBlob
class | ErrorCache
class | ErrorCoder
class | ErrorConfigure
class | ErrorCorruptImage
class | ErrorDelegate
class | ErrorDraw
class | ErrorFileOpen
class | ErrorImage
class | ErrorMissingDelegate
class | ErrorModule
class | ErrorMonitor
class | ErrorOption
class | ErrorPolicy
class | ErrorRegistry
class | ErrorResourceLimit
class | ErrorStream
class | ErrorType
class | ErrorUndefined
class | ErrorXServer
class | Exception
class | fileNameImage
class | fillColorImage
class | filterTypeImage
class | flipImage
class | floodFillAlphaImage
class | floodFillColorImage
class | floodFillTextureImage
class | flopImage
class | fontImage
class | fontPointsizeImage
class | frameImage
class | gammaImage
class | gaussianBlurImage
class | Geometry
class | gifDisposeMethodImage
class | haldClutImage
class | Image
class | ImageMoments
class | ImagePerceptualHash
class | ImageRef
class | ImageStatistics
class | implodeImage
class | interlaceTypeImage
class | inverseFourierTransformImage
class | isValidImage
class | labelImage
class | levelImage
class | magickImage
class | magnifyImage
class | mapImage
class | matteColorImage
class | medianConvolveImage
class | mergeLayersImage
class | minifyImage
class | modulateImage
class | monochromeImage
class | Montage
class | MontageFramed
class | MutexLock
class | negateImage
class | normalizeImage
class | Offset
class | oilPaintImage
class | opaqueImage
class | Options
class | pageImage
class | PathArcAbs
class | PathArcArgs
class | PathArcRel
class | PathClosePath
class | PathCurvetoAbs
class | PathCurvetoArgs
class | PathCurvetoRel
class | PathLinetoAbs
class | PathLinetoHorizontalAbs
class | PathLinetoHorizontalRel
class | PathLinetoRel
class | PathLinetoVerticalAbs
class | PathLinetoVerticalRel
class | PathMovetoAbs
class | PathMovetoRel
class | PathQuadraticCurvetoAbs
class | PathQuadraticCurvetoArgs
class | PathQuadraticCurvetoRel
class | PathSmoothCurvetoAbs
class | PathSmoothCurvetoRel
class | PathSmoothQuadraticCurvetoAbs
class | PathSmoothQuadraticCurvetoRel
class | penColorImage
class | penTextureImage
class | pixelColorImage
class | PixelData
class | Pixels
class | Point
class | qualityImage
class | quantizeColorsImage
class | quantizeColorSpaceImage
class | quantizeDitherImage
class | quantizeImage
class | quantizeTreeDepthImage
class | raiseImage
class | ReadOptions
class | reduceNoiseImage
class | renderingIntentImage
class | resizeImage
class | resolutionUnitsImage
class | ResourceLimits
class | rollImage
class | rotateImage
class | sampleImage
class | scaleImage
class | sceneImage
class | SecurityPolicy
class | segmentImage
class | shadeImage
class | shadowImage
class | sharpenImage
class | shaveImage
class | shearImage
class | sigmoidalContrastImage
class | sizeImage
class | solarizeImage
class | spliceImage
class | spreadImage
class | steganoImage
class | stereoImage
class | stripImage
class | strokeColorImage
class | subImageImage
class | subRangeImage
class | swirlImage
class | textAntiAliasImage
class | textureImage
class | thresholdImage
class | transparentImage
class | trimImage
class | typeImage
class | TypeMetric
class | verboseImage
class | VPath
class | VPathBase
class | Warning
class | WarningBlob
class | WarningCache
class | WarningCoder
class | WarningConfigure
class | WarningCorruptImage
class | WarningDelegate
class | WarningDraw
class | WarningFileOpen
class | WarningImage
class | WarningMissingDelegate
class | WarningModule
class | WarningMonitor
class | WarningOption
class | WarningPolicy
class | WarningRegistry
class | WarningResourceLimit
class | WarningStream
class | WarningType
class | WarningUndefined
class | WarningXServer
class | waveImage
class | x11DisplayImage
class | zoomImage

## Typedefs

typedef std::vector< Magick::Coordinate > | CoordinateList
typedef std::vector< Magick::Drawable > | DrawableList
typedef std::vector< Magick::VPath > | VPathList
typedef std::vector< Magick::PathArcArgs > | PathArcArgsList
typedef std::vector< Magick::PathCurvetoArgs > | PathCurveToArgsList
typedef std::vector< Magick::PathQuadraticCurvetoArgs > | PathQuadraticCurvetoArgsList

## Functions

MagickPPExport int | operator== (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator!= (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator> (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator< (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator>= (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator<= (const Magick::Color &left_, const Magick::Color &right_)
MagickPPExport int | operator== (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator!= (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator> (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator< (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator>= (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator<= (const Coordinate &left_, const Coordinate &right_)
MagickPPExport int | operator== (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator!= (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator> (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator< (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator>= (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator<= (const PathArcArgs &left_, const PathArcArgs &right_)
MagickPPExport int | operator== (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator!= (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator> (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator< (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator>= (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator<= (const PathCurvetoArgs &left_, const PathCurvetoArgs &right_)
MagickPPExport int | operator== (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator!= (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator> (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator< (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator>= (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
MagickPPExport int | operator<= (const PathQuadraticCurvetoArgs &left_, const PathQuadraticCurvetoArgs &right_)
std::string | formatExceptionMessage (const MagickCore::ExceptionInfo *exception_)
Exception * | createException (const MagickCore::ExceptionInfo *exception_)
MagickPPExport void | throwExceptionExplicit (const MagickCore::ExceptionType severity_, const char *reason_, const char *description_=(char *) NULL)
MagickPPExport void | throwException (MagickCore::ExceptionInfo *exception_, const bool quiet_=false)
MagickPPExport void | CloneString (char **destination_, const std::string &source_)
MagickPPExport void | DisableOpenCL (void)
MagickPPExport bool | EnableOpenCL (void)
MagickPPExport void | InitializeMagick (const char *path_)
MagickPPExport void | SetRandomSeed (const unsigned long seed)
MagickPPExport bool | SetSecurityPolicy (const std::string &policy_)
MagickPPExport void | TerminateMagick ()
MagickPPExport int | operator== (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator!= (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator> (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator< (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator>= (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator<= (const Magick::Geometry &left_, const Magick::Geometry &right_)
MagickPPExport int | operator== (const Magick::Offset &left_, const Magick::Offset &right_)
MagickPPExport int | operator!= (const Magick::Offset &left_, const Magick::Offset &right_)
MagickPPExport int | operator== (const Magick::Point &left_, const Magick::Point &right_)
MagickPPExport int | operator!= (const Magick::Point &left_, const Magick::Point &right_)
MagickPPExport int | operator== (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator!= (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator> (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator< (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator>= (const Magick::Image &left_, const Magick::Image &right_)
MagickPPExport int | operator<= (const Magick::Image &left_, const Magick::Image &right_)
template<class InputIterator , class Container >
void | channelMaskImages (InputIterator first_, InputIterator last_, Container *container_, const ChannelType channel_)
template<class Container >
void | insertImages (Container *sequence_, MagickCore::Image *images_)
template<class InputIterator >
bool | linkImages (InputIterator first_, InputIterator last_)
template<class InputIterator , class Container >
void | restoreChannelMaskImages (InputIterator first_, InputIterator last_, Container *container_)
template<class InputIterator >
void | unlinkImages (InputIterator first_, InputIterator last_)
template<class InputIterator >
void | animateImages (InputIterator first_, InputIterator last_)
template<class InputIterator >
void | appendImages (Image *appendedImage_, InputIterator first_, InputIterator last_, bool stack_=false)
template<class Container >
void | artifactNames (Container *names_, const Image *image_)
template<class Container >
void | attributeNames (Container *names_, const Image *image_)
template<class InputIterator >
void | averageImages (Image *averagedImage_, InputIterator first_, InputIterator last_)
template<class InputIterator , class Container >
void | coalesceImages (Container *coalescedImages_, InputIterator first_, InputIterator last_)
template<class Container >
void | coderInfoList (Container *container_, CoderInfo::MatchType isReadable_=CoderInfo::AnyMatch, CoderInfo::MatchType isWritable_=CoderInfo::AnyMatch, CoderInfo::MatchType isMultiFrame_=CoderInfo::AnyMatch)
template<class Container >
void | colorHistogram (Container *histogram_, const Image image)
template<class InputIterator >
void | combineImages (Image *combinedImage_, InputIterator first_, InputIterator last_, const ChannelType channel_, const ColorspaceType colorspace_=MagickCore::sRGBColorspace)
template<class Container >
void | cropToTiles (Container *tiledImages_, const Image image_, const Geometry &geometry_)
template<class InputIterator , class Container >
void | deconstructImages (Container *deconstructedImages_, InputIterator first_, InputIterator last_)
template<class InputIterator >
void | displayImages (InputIterator first_, InputIterator last_)
template<class InputIterator >
void | evaluateImages (Image *evaluatedImage_, InputIterator first_, InputIterator last_, const MagickEvaluateOperator operator_)
template<class InputIterator >
void | flattenImages (Image *flattendImage_, InputIterator first_, InputIterator last_)
template<class Container >
void | forwardFourierTransformImage (Container *fourierImages_, const Image &image_)
template<class Container >
void | forwardFourierTransformImage (Container *fourierImages_, const Image &image_, const bool magnitude_)
template<class InputIterator >
void | fxImages (Image *fxImage_, InputIterator first_, InputIterator last_, const std::string expression)
template<class InputIterator >
void | mapImages (InputIterator first_, InputIterator last_, const Image &mapImage_, bool dither_=false, bool measureError_=false)
template<class InputIterator >
void | mergeImageLayers (Image *mergedImage_, InputIterator first_, InputIterator last_, const LayerMethod method_)
template<class Container , class InputIterator >
void | montageImages (Container *montageImages_, InputIterator first_, InputIterator last_, const Montage &options_)
template<class InputIterator , class Container >
void | morphImages (Container *morphedImages_, InputIterator first_, InputIterator last_, size_t frames_)
template<class InputIterator >
void | mosaicImages (Image *mosaicImage_, InputIterator first_, InputIterator last_)
template<class InputIterator , class Container >
void | optimizeImageLayers (Container *optimizedImages_, InputIterator first_, InputIterator last_)
template<class InputIterator , class Container >
void | optimizePlusImageLayers (Container *optimizedImages_, InputIterator first_, InputIterator last_)
template<class InputIterator >
void | optimizeTransparency (InputIterator first_, InputIterator last_)
template<class Container >
void | pingImages (Container *sequence_, const std::string &imageSpec_, ReadOptions &options)
template<class Container >
void | pingImages (Container *sequence_, const std::string &imageSpec_)
template<class Container >
void | pingImages (Container *sequence_, const Blob &blob_, ReadOptions &options)
template<class Container >
void | pingImages (Container *sequence_, const Blob &blob_)
template<class Container >
void | profileNames (Container *names_, const Image *image_)
template<class InputIterator >
void | quantizeImages (InputIterator first_, InputIterator last_, bool measureError_=false)
template<class Container >
void | readImages (Container *sequence_, const std::string &imageSpec_, ReadOptions &options)
template<class Container >
void | readImages (Container *sequence_, const std::string &imageSpec_)
template<class Container >
void | readImages (Container *sequence_, const Blob &blob_, ReadOptions &options)
template<class Container >
void | readImages (Container *sequence_, const Blob &blob_)
template<class Container >
void | separateImages (Container *separatedImages_, Image &image_, const ChannelType channel_)
template<class InputIterator >
void | smushImages (Image *smushedImage_, InputIterator first_, InputIterator last_, const ssize_t offset_, bool stack_=false)
template<class InputIterator >
void | writeImages (InputIterator first_, InputIterator last_, const std::string &imageSpec_, bool adjoin_=true)
template<class InputIterator >
void | writeImages (InputIterator first_, InputIterator last_, Blob *blob_, bool adjoin_=true)

## Variables

class MagickPPExport | Color
class MagickPPExport | Image
class MagickPPExport | Geometry
class MagickPPExport | Offset
class MagickPPExport | Point
MagickPPExport const char * | borderGeometryDefault ="6x6+0+0"
MagickPPExport const char * | frameGeometryDefault ="25x25+6+6"
MagickPPExport const char * | raiseGeometryDefault ="6x6+0+0"

## Typedef Documentation

## ◆ CoordinateList

typedef std::vector<Magick::Coordinate> Magick::CoordinateList

Definition at line 73 of file Drawable.h.

## ◆ DrawableList

typedef std::vector<Magick::Drawable> Magick::DrawableList

Definition at line 146 of file Drawable.h.

## ◆ PathArcArgsList

typedef std::vector<Magick::PathArcArgs> Magick::PathArcArgsList

Definition at line 2456 of file Drawable.h.

## ◆ PathCurveToArgsList

typedef std::vector<Magick::PathCurvetoArgs> Magick::PathCurveToArgsList

Definition at line 2630 of file Drawable.h.

## ◆ PathQuadraticCurvetoArgsList

typedef std::vector<Magick::PathQuadraticCurvetoArgs> Magick::PathQuadraticCurvetoArgsList

Definition at line 2811 of file Drawable.h.

## ◆ VPathList

typedef std::vector<Magick::VPath> Magick::VPathList

Definition at line 209 of file Drawable.h.

## Function Documentation

## ◆ animateImages()

template<class InputIterator >

void Magick::animateImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 1977 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

## ◆ appendImages()

template<class InputIterator >

void Magick::appendImages | ( | Image * | appendedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | bool | stack_ = `false`
| ) |  |

Definition at line 1991 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ artifactNames()

template<class Container >

void Magick::artifactNames | ( | Container * | names_,
|  | const Image * | image_
| ) |  |

Definition at line 2008 of file STL.h.

References Magick::Image::constImage().

## ◆ attributeNames()

template<class Container >

void Magick::attributeNames | ( | Container * | names_,
|  | const Image * | image_
| ) |  |

Definition at line 2026 of file STL.h.

References Magick::Image::constImage().

## ◆ averageImages()

template<class InputIterator >

void Magick::averageImages | ( | Image * | averagedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2045 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ channelMaskImages()

template<class InputIterator , class Container >

void Magick::channelMaskImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | Container * | container_,
|  | const ChannelType | channel_
| ) |  |

Definition at line 1854 of file STL.h.

Referenced by combineImages().

## ◆ CloneString()

MagickPPExport void Magick::CloneString | ( | char ** | destination_,
|  | const std::string & | source_
| ) |  |

Definition at line 25 of file Functions.cpp.

Referenced by Magick::Options::backgroundTexture(), Magick::Options::density(), Magick::ReadOptions::density(), Magick::Options::font(), Magick::Options::fontFamily(), Magick::Options::page(), Magick::Options::samplingFactor(), Magick::Options::size(), Magick::ReadOptions::size(), Magick::Options::textEncoding(), Magick::Montage::updateMontageInfo(), Magick::MontageFramed::updateMontageInfo(), and Magick::Options::x11Display().

## ◆ coalesceImages()

template<class InputIterator , class Container >

void Magick::coalesceImages | ( | Container * | coalescedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2064 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

## ◆ coderInfoList()

template<class Container >

void Magick::coderInfoList | ( | Container * | container_,
|  | CoderInfo::MatchType | isReadable_ = `CoderInfo::AnyMatch`,
|  | CoderInfo::MatchType | isWritable_ = `CoderInfo::AnyMatch`,
|  | CoderInfo::MatchType | isMultiFrame_ = `CoderInfo::AnyMatch`
| ) |  |

Definition at line 2103 of file STL.h.

References Magick::CoderInfo::AnyMatch, Magick::CoderInfo::FalseMatch, GetPPException, Magick::CoderInfo::isMultiFrame(), Magick::CoderInfo::isReadable(), Magick::CoderInfo::isWritable(), throwException(), throwExceptionExplicit(), ThrowPPException, and Magick::CoderInfo::TrueMatch.

## ◆ colorHistogram()

template<class Container >

void Magick::colorHistogram | ( | Container * | histogram_,
|  | const Image | image
| ) |  |

Definition at line 2212 of file STL.h.

References Color, Magick::Image::constImage(), GetPPException, Magick::Image::quiet(), and ThrowPPException.

## ◆ combineImages()

template<class InputIterator >

void Magick::combineImages | ( | Image * | combinedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const ChannelType | channel_,
|  | const ColorspaceType | colorspace_ = `MagickCore::sRGBColorspace`
| ) |  |

Definition at line 2242 of file STL.h.

References channelMaskImages(), GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), restoreChannelMaskImages(), ThrowPPException, and unlinkImages().

## ◆ createException()

Magick::Exception * Magick::createException | ( | const MagickCore::ExceptionInfo * | exception_ | ) |

Definition at line 702 of file Exception.cpp.

References formatExceptionMessage().

## ◆ cropToTiles()

template<class Container >

void Magick::cropToTiles | ( | Container * | tiledImages_,
|  | const Image | image_,
|  | const Geometry & | geometry_
| ) |  |

Definition at line 2264 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, insertImages(), Magick::Image::quiet(), and ThrowPPException.

## ◆ deconstructImages()

template<class InputIterator , class Container >

void Magick::deconstructImages | ( | Container * | deconstructedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2278 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

## ◆ DisableOpenCL()

MagickPPExport void Magick::DisableOpenCL | ( | void |  | ) |

Definition at line 31 of file Functions.cpp.

## ◆ displayImages()

template<class InputIterator >

void Magick::displayImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2304 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

## ◆ EnableOpenCL()

MagickPPExport bool Magick::EnableOpenCL | ( | void |  | ) |

Definition at line 36 of file Functions.cpp.

## ◆ evaluateImages()

template<class InputIterator >

void Magick::evaluateImages | ( | Image * | evaluatedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const MagickEvaluateOperator | operator_
| ) |  |

Definition at line 2320 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ flattenImages()

template<class InputIterator >

void Magick::flattenImages | ( | Image * | flattendImage_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2336 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ formatExceptionMessage()

std::string Magick::formatExceptionMessage | ( | const MagickCore::ExceptionInfo * | exception_ | ) |

Definition at line 687 of file Exception.cpp.

Referenced by createException().

## ◆ forwardFourierTransformImage() [1/2]

template<class Container >

void Magick::forwardFourierTransformImage | ( | Container * | fourierImages_,
|  | const Image & | image_
| ) |  |

Definition at line 2352 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, insertImages(), Magick::Image::quiet(), and ThrowPPException.

## ◆ forwardFourierTransformImage() [2/2]

template<class Container >

void Magick::forwardFourierTransformImage | ( | Container * | fourierImages_,
|  | const Image & | image_,
|  | const bool | magnitude_
| ) |  |

Definition at line 2370 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, insertImages(), Magick::Image::quiet(), and ThrowPPException.

## ◆ fxImages()

template<class InputIterator >

void Magick::fxImages | ( | Image * | fxImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const std::string | expression
| ) |  |

Definition at line 2391 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ InitializeMagick()

MagickPPExport void Magick::InitializeMagick | ( | const char * | path_ | ) |

Definition at line 45 of file Functions.cpp.

References magick_initialized.

Referenced by main().

## ◆ insertImages()

template<class Container >

void Magick::insertImages | ( | Container * | sequence_,
|  | MagickCore::Image * | images_
| ) |  |

Definition at line 1873 of file STL.h.

References Image.

Referenced by coalesceImages(), cropToTiles(), deconstructImages(), forwardFourierTransformImage(), montageImages(), morphImages(), optimizeImageLayers(), optimizePlusImageLayers(), readImages(), and separateImages().

## ◆ linkImages()

template<class InputIterator >

bool Magick::linkImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 1903 of file STL.h.

References Image.

Referenced by animateImages(), appendImages(), averageImages(), coalesceImages(), combineImages(), deconstructImages(), displayImages(), evaluateImages(), flattenImages(), fxImages(), mapImages(), mergeImageLayers(), montageImages(), morphImages(), mosaicImages(), optimizeImageLayers(), optimizePlusImageLayers(), optimizeTransparency(), quantizeImages(), smushImages(), and writeImages().

## ◆ mapImages()

template<class InputIterator >

void Magick::mapImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | const Image & | mapImage_,
|  | bool | dither_ = `false`,
|  | bool | measureError_ = `false`
| ) |  |

Definition at line 2411 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, Magick::Image::isValid(), linkImages(), Magick::Image::quiet(), throwException(), and unlinkImages().

## ◆ mergeImageLayers()

template<class InputIterator >

void Magick::mergeImageLayers | ( | Image * | mergedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const LayerMethod | method_
| ) |  |

Definition at line 2469 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ montageImages()

template<class Container , class InputIterator >

void Magick::montageImages | ( | Container * | montageImages_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const Montage & | options_
| ) |  |

Definition at line 2484 of file STL.h.

References GetPPException, Image, insertImages(), Magick::Montage::label(), linkImages(), ThrowPPException, Magick::Montage::transparentColor(), unlinkImages(), and Magick::Montage::updateMontageInfo().

Referenced by main().

## ◆ morphImages()

template<class InputIterator , class Container >

void Magick::morphImages | ( | Container * | morphedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | size_t | frames_
| ) |  |

Definition at line 2538 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

Referenced by main().

## ◆ mosaicImages()

template<class InputIterator >

void Magick::mosaicImages | ( | Image * | mosaicImage_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2569 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ operator!=() [1/9]

MagickPPExport int Magick::operator!= | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 38 of file Color.cpp.

## ◆ operator!=() [2/9]

MagickPPExport int Magick::operator!= | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 42 of file Geometry.cpp.

## ◆ operator!=() [3/9]

MagickPPExport int Magick::operator!= | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 47 of file Image.cpp.

## ◆ operator!=() [4/9]

MagickPPExport int Magick::operator!= | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 30 of file Drawable.cpp.

## ◆ operator!=() [5/9]

MagickPPExport int Magick::operator!= | ( | const Magick::Offset & | left_,
|  | const Magick::Offset & | right_
| ) |  |

Definition at line 483 of file Geometry.cpp.

## ◆ operator!=() [6/9]

MagickPPExport int Magick::operator!= | ( | const Magick::Point & | left_,
|  | const Magick::Point & | right_
| ) |  |

Definition at line 583 of file Geometry.cpp.

## ◆ operator!=() [7/9]

MagickPPExport int Magick::operator!= | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1765 of file Drawable.cpp.

## ◆ operator!=() [8/9]

MagickPPExport int Magick::operator!= | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1916 of file Drawable.cpp.

## ◆ operator!=() [9/9]

MagickPPExport int Magick::operator!= | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 2125 of file Drawable.cpp.

## ◆ operator<() [1/7]

MagickPPExport int Magick::operator< | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 50 of file Color.cpp.

References Magick::Color::quantumBlue(), Magick::Color::quantumGreen(), and Magick::Color::quantumRed().

## ◆ operator<() [2/7]

MagickPPExport int Magick::operator< | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 54 of file Geometry.cpp.

References Magick::Geometry::height(), and Magick::Geometry::width().

## ◆ operator<() [3/7]

MagickPPExport int Magick::operator< | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 59 of file Image.cpp.

References Magick::Image::columns(), and Magick::Image::rows().

## ◆ operator<() [4/7]

MagickPPExport int Magick::operator< | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 42 of file Drawable.cpp.

References Magick::Coordinate::x(), and Magick::Coordinate::y().

## ◆ operator<() [5/7]

MagickPPExport int Magick::operator< | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1775 of file Drawable.cpp.

## ◆ operator<() [6/7]

MagickPPExport int Magick::operator< | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1926 of file Drawable.cpp.

## ◆ operator<() [7/7]

MagickPPExport int Magick::operator< | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 2137 of file Drawable.cpp.

## ◆ operator<=() [1/7]

MagickPPExport int Magick::operator<= | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 72 of file Color.cpp.

## ◆ operator<=() [2/7]

MagickPPExport int Magick::operator<= | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 66 of file Geometry.cpp.

## ◆ operator<=() [3/7]

MagickPPExport int Magick::operator<= | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 73 of file Image.cpp.

## ◆ operator<=() [4/7]

MagickPPExport int Magick::operator<= | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 56 of file Drawable.cpp.

## ◆ operator<=() [5/7]

MagickPPExport int Magick::operator<= | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1785 of file Drawable.cpp.

## ◆ operator<=() [6/7]

MagickPPExport int Magick::operator<= | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1936 of file Drawable.cpp.

## ◆ operator<=() [7/7]

MagickPPExport int Magick::operator<= | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 2149 of file Drawable.cpp.

## ◆ operator==() [1/9]

MagickPPExport int Magick::operator== | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 22 of file Color.cpp.

References Magick::Color::isValid(), Magick::Color::quantumBlue(), Magick::Color::quantumGreen(), and Magick::Color::quantumRed().

## ◆ operator==() [2/9]

MagickPPExport int Magick::operator== | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 26 of file Geometry.cpp.

References Magick::Geometry::aspect(), Magick::Geometry::fillArea(), Magick::Geometry::greater(), Magick::Geometry::height(), Magick::Geometry::isValid(), Magick::Geometry::less(), Magick::Geometry::limitPixels(), Magick::Geometry::percent(), Magick::Geometry::width(), Magick::Geometry::xOff(), and Magick::Geometry::yOff().

## ◆ operator==() [3/9]

MagickPPExport int Magick::operator== | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 38 of file Image.cpp.

References Magick::Image::columns(), Magick::Image::rows(), and Magick::Image::signature().

## ◆ operator==() [4/9]

MagickPPExport int Magick::operator== | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 24 of file Drawable.cpp.

References Magick::Coordinate::x(), and Magick::Coordinate::y().

## ◆ operator==() [5/9]

MagickPPExport int Magick::operator== | ( | const Magick::Offset & | left_,
|  | const Magick::Offset & | right_
| ) |  |

Definition at line 476 of file Geometry.cpp.

References Magick::Offset::x(), and Magick::Offset::y().

## ◆ operator==() [6/9]

MagickPPExport int Magick::operator== | ( | const Magick::Point & | left_,
|  | const Magick::Point & | right_
| ) |  |

Definition at line 576 of file Geometry.cpp.

References Magick::Point::x(), and Magick::Point::y().

## ◆ operator==() [7/9]

MagickPPExport int Magick::operator== | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1760 of file Drawable.cpp.

## ◆ operator==() [8/9]

MagickPPExport int Magick::operator== | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1911 of file Drawable.cpp.

## ◆ operator==() [9/9]

MagickPPExport int Magick::operator== | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 2119 of file Drawable.cpp.

## ◆ operator>() [1/7]

MagickPPExport int Magick::operator> | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 44 of file Color.cpp.

## ◆ operator>() [2/7]

MagickPPExport int Magick::operator> | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 48 of file Geometry.cpp.

## ◆ operator>() [3/7]

MagickPPExport int Magick::operator> | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 53 of file Image.cpp.

## ◆ operator>() [4/7]

MagickPPExport int Magick::operator> | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 36 of file Drawable.cpp.

## ◆ operator>() [5/7]

MagickPPExport int Magick::operator> | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1770 of file Drawable.cpp.

## ◆ operator>() [6/7]

MagickPPExport int Magick::operator> | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1921 of file Drawable.cpp.

## ◆ operator>() [7/7]

MagickPPExport int Magick::operator> | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 2131 of file Drawable.cpp.

## ◆ operator>=() [1/7]

MagickPPExport int Magick::operator>= | ( | const Magick::Color & | left_,
|  | const Magick::Color & | right_
| ) |  |

Definition at line 66 of file Color.cpp.

## ◆ operator>=() [2/7]

MagickPPExport int Magick::operator>= | ( | const Magick::Geometry & | left_,
|  | const Magick::Geometry & | right_
| ) |  |

Definition at line 60 of file Geometry.cpp.

## ◆ operator>=() [3/7]

MagickPPExport int Magick::operator>= | ( | const Magick::Image & | left_,
|  | const Magick::Image & | right_
| ) |  |

Definition at line 67 of file Image.cpp.

## ◆ operator>=() [4/7]

MagickPPExport int Magick::operator>= | ( | const Coordinate & | left_,
|  | const Coordinate & | right_
| ) |  |

Definition at line 50 of file Drawable.cpp.

## ◆ operator>=() [5/7]

MagickPPExport int Magick::operator>= | ( | const PathArcArgs & | left_,
|  | const PathArcArgs & | right_
| ) |  |

Definition at line 1780 of file Drawable.cpp.

## ◆ operator>=() [6/7]

MagickPPExport int Magick::operator>= | ( | const PathCurvetoArgs & | left_,
|  | const PathCurvetoArgs & | right_
| ) |  |

Definition at line 1931 of file Drawable.cpp.

## ◆ operator>=() [7/7]

MagickPPExport int Magick::operator>= | ( | const PathQuadraticCurvetoArgs & | left_,
|  | const PathQuadraticCurvetoArgs & | right_
| ) |  |

Definition at line 2143 of file Drawable.cpp.

## ◆ optimizeImageLayers()

template<class InputIterator , class Container >

void Magick::optimizeImageLayers | ( | Container * | optimizedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2587 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

## ◆ optimizePlusImageLayers()

template<class InputIterator , class Container >

void Magick::optimizePlusImageLayers | ( | Container * | optimizedImages_,
|  | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2616 of file STL.h.

References GetPPException, Image, insertImages(), linkImages(), ThrowPPException, and unlinkImages().

## ◆ optimizeTransparency()

template<class InputIterator >

void Magick::optimizeTransparency | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 2645 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

## ◆ pingImages() [1/4]

template<class Container >

void Magick::pingImages | ( | Container * | sequence_,
|  | const std::string & | imageSpec_,
|  | ReadOptions & | options
| ) |  |

Definition at line 2658 of file STL.h.

References Magick::ReadOptions::ping(), and readImages().

Referenced by pingImages().

## ◆ pingImages() [2/4]

template<class Container >

void Magick::pingImages | ( | Container * | sequence_,
|  | const std::string & | imageSpec_
| ) |  |

Definition at line 2666 of file STL.h.

References pingImages().

## ◆ pingImages() [3/4]

template<class Container >

void Magick::pingImages | ( | Container * | sequence_,
|  | const Blob & | blob_,
|  | ReadOptions & | options
| ) |  |

Definition at line 2673 of file STL.h.

References Magick::ReadOptions::ping(), and readImages().

## ◆ pingImages() [4/4]

template<class Container >

void Magick::pingImages | ( | Container * | sequence_,
|  | const Blob & | blob_
| ) |  |

Definition at line 2680 of file STL.h.

References pingImages().

## ◆ profileNames()

template<class Container >

void Magick::profileNames | ( | Container * | names_,
|  | const Image * | image_
| ) |  |

Definition at line 2688 of file STL.h.

References Magick::Image::constImage().

## ◆ quantizeImages()

template<class InputIterator >

void Magick::quantizeImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | bool | measureError_ = `false`
| ) |  |

Definition at line 2707 of file STL.h.

References GetPPException, Image, linkImages(), ThrowPPException, and unlinkImages().

## ◆ readImages() [1/4]

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const std::string & | imageSpec_,
|  | ReadOptions & | options
| ) |  |

Definition at line 2735 of file STL.h.

References GetPPException, Image, Magick::ReadOptions::imageInfo(), insertImages(), Magick::ReadOptions::quiet(), and ThrowPPException.

Referenced by main(), pingImages(), and readImages().

## ◆ readImages() [2/4]

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const std::string & | imageSpec_
| ) |  |

Definition at line 2754 of file STL.h.

References readImages().

## ◆ readImages() [3/4]

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const Blob & | blob_,
|  | ReadOptions & | options
| ) |  |

Definition at line 2761 of file STL.h.

References Magick::Blob::data(), GetPPException, Image, Magick::ReadOptions::imageInfo(), insertImages(), Magick::Blob::length(), Magick::ReadOptions::quiet(), and ThrowPPException.

## ◆ readImages() [4/4]

template<class Container >

void Magick::readImages | ( | Container * | sequence_,
|  | const Blob & | blob_
| ) |  |

Definition at line 2774 of file STL.h.

References readImages().

## ◆ restoreChannelMaskImages()

template<class InputIterator , class Container >

void Magick::restoreChannelMaskImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | Container * | container_
| ) |  |

Definition at line 1937 of file STL.h.

Referenced by combineImages().

## ◆ separateImages()

template<class Container >

void Magick::separateImages | ( | Container * | separatedImages_,
|  | Image & | image_,
|  | const ChannelType | channel_
| ) |  |

Definition at line 2782 of file STL.h.

References Magick::Image::constImage(), GetPPException, Image, Magick::Image::image(), insertImages(), Magick::Image::quiet(), and ThrowPPException.

## ◆ SetRandomSeed()

MagickPPExport void Magick::SetRandomSeed | ( | const unsigned long | seed | ) |

Definition at line 52 of file Functions.cpp.

## ◆ SetSecurityPolicy()

MagickPPExport bool Magick::SetSecurityPolicy | ( | const std::string & | policy_ | ) |

Definition at line 57 of file Functions.cpp.

References GetPPException, and ThrowPPException.

## ◆ smushImages()

template<class InputIterator >

void Magick::smushImages | ( | Image * | smushedImage_,
|  | InputIterator | first_,
|  | InputIterator | last_,
|  | const ssize_t | offset_,
|  | bool | stack_ = `false`
| ) |  |

Definition at line 2805 of file STL.h.

References GetPPException, Image, linkImages(), Magick::Image::quiet(), Magick::Image::replaceImage(), ThrowPPException, and unlinkImages().

## ◆ TerminateMagick()

MagickPPExport void Magick::TerminateMagick | ( | void |  | ) |

Definition at line 69 of file Functions.cpp.

References magick_initialized.

## ◆ throwException()

MagickPPExport void Magick::throwException | ( | MagickCore::ExceptionInfo * | exception_,
|  | const bool | quiet_ = `false`
| ) |  |

Referenced by coderInfoList(), and mapImages().

## ◆ throwExceptionExplicit()

MagickPPExport void Magick::throwExceptionExplicit | ( | const MagickCore::ExceptionType | severity_,
|  | const char * | reason_,
|  | const char * | description_ = `(char *) NULL`
| ) |  |

Definition at line 808 of file Exception.cpp.

References GetPPException, and ThrowPPException.

Referenced by Magick::CoderInfo::CoderInfo(), coderInfoList(), Magick::Image::colorize(), Magick::Image::colorMap(), Magick::Image::colorMapSize(), Magick::BlobRef::decrease(), Magick::ImageRef::decrease(), Magick::Image::directory(), Magick::Image::format(), Magick::Image::geometry(), Magick::Image::getConstMetacontent(), Magick::Image::getMetacontent(), Magick::MutexLock::lock(), Magick::Options::magick(), Magick::Image::montageGeometry(), Magick::Image::morphology(), Magick::Image::morphologyChannel(), Magick::MutexLock::MutexLock(), Magick::Image::opaque(), Magick::Geometry::operator std::string(), Magick::Options::strokeDashArray(), Magick::Image::transparent(), Magick::Image::transparentChroma(), and Magick::MutexLock::unlock().

## ◆ unlinkImages()

template<class InputIterator >

void Magick::unlinkImages | ( | InputIterator | first_,
|  | InputIterator | last_
| ) |  |

Definition at line 1957 of file STL.h.

References Image.

Referenced by animateImages(), appendImages(), averageImages(), coalesceImages(), combineImages(), deconstructImages(), displayImages(), evaluateImages(), flattenImages(), fxImages(), mapImages(), mergeImageLayers(), montageImages(), morphImages(), mosaicImages(), optimizeImageLayers(), optimizePlusImageLayers(), optimizeTransparency(), quantizeImages(), smushImages(), and writeImages().

## ◆ writeImages() [1/2]

template<class InputIterator >

void Magick::writeImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | const std::string & | imageSpec_,
|  | bool | adjoin_ = `true`
| ) |  |

Definition at line 2823 of file STL.h.

References GetPPException, linkImages(), ThrowPPException, and unlinkImages().

Referenced by main().

## ◆ writeImages() [2/2]

template<class InputIterator >

void Magick::writeImages | ( | InputIterator | first_,
|  | InputIterator | last_,
|  | Blob * | blob_,
|  | bool | adjoin_ = `true`
| ) |  |

Definition at line 2850 of file STL.h.

References GetPPException, linkImages(), Magick::Blob::MallocAllocator, ThrowPPException, unlinkImages(), and Magick::Blob::updateNoCopy().

## Variable Documentation

## ◆ borderGeometryDefault

MagickPPExport const char * Magick::borderGeometryDefault ="6x6+0+0"

Definition at line 34 of file Image.cpp.

## ◆ Color

class MagickPPExport Magick::Color

Definition at line 18 of file Color.h.

Referenced by Magick::Options::backgroundColor(), Magick::Image::backgroundColor(), Magick::Options::borderColor(), Magick::Image::borderColor(), Magick::Options::boxColor(), colorHistogram(), Magick::Image::colorMap(), Magick::Options::fillColor(), main(), Magick::Image::matteColor(), Magick::Options::strokeColor(), and Magick::Montage::updateMontageInfo().

## ◆ frameGeometryDefault

MagickPPExport const char * Magick::frameGeometryDefault ="25x25+6+6"

Definition at line 35 of file Image.cpp.

## ◆ Geometry

class MagickPPExport Magick::Geometry

Definition at line 21 of file Geometry.h.

Referenced by Magick::Image::boundingBox(), Magick::TypeMetric::bounds(), Magick::ReadOptions::density(), Magick::Image::geometry(), Magick::Image::isValid(), main(), Magick::Image::montageGeometry(), Magick::Geometry::operator=(), Magick::Options::page(), Magick::Image::page(), Magick::Image::repage(), Magick::Options::size(), and Magick::ReadOptions::size().

## ◆ Image

class MagickPPExport Magick::Image

Definition at line 722 of file Drawable.h.

Referenced by Magick::Image::adaptiveBlur(), Magick::Image::adaptiveResize(), Magick::Image::adaptiveSharpen(), Magick::Image::adaptiveSharpenChannel(), Magick::Image::adaptiveThreshold(), Magick::Image::addNoise(), Magick::Image::addNoiseChannel(), Magick::Image::affineTransform(), appendImages(), Magick::Image::autoOrient(), averageImages(), Magick::Image::blueShift(), Magick::Image::blur(), Magick::Image::blurChannel(), Magick::Image::border(), Magick::Image::cannyEdge(), Magick::Image::channel(), Magick::Image::charcoal(), Magick::Image::charcoalChannel(), Magick::Image::chop(), coalesceImages(), Magick::Image::colorize(), Magick::Image::colorMap(), Magick::Image::colorMatrix(), combineImages(), Magick::Image::compare(), Magick::Image::compareChannel(), Magick::Image::connectedComponents(), Magick::Image::convolve(), Magick::Image::crop(), cropToTiles(), deconstructImages(), Magick::Image::deskew(), Magick::Image::despeckle(), Magick::Image::distort(), Magick::Image::edge(), Magick::Image::emboss(), Magick::Image::enhance(), evaluateImages(), Magick::Image::extent(), Magick::DrawableCompositeImage::filename(), Magick::Options::fillColor(), Magick::Image::fillPattern(), flattenImages(), Magick::Image::flip(), Magick::Image::flop(), forwardFourierTransformImage(), Magick::Image::frame(), Magick::Image::fx(), fxImages(), Magick::Image::gaussianBlur(), Magick::Image::gaussianBlurChannel(), Magick::Image::houghLine(), Magick::Image::Image(), Magick::DrawableCompositeImage::image(), Magick::Image::implode(), insertImages(), Magick::Image::inverseFourierTransform(), Magick::Image::kuwahara(), Magick::Image::kuwaharaChannel(), linkImages(), Magick::Image::liquidRescale(), Magick::Image::localContrast(), Magick::Image::localContrastChannel(), Magick::Image::magnify(), mapImages(), Magick::Image::meanShift(), Magick::Image::medianFilter(), mergeImageLayers(), Magick::Image::minify(), montageImages(), morphImages(), Magick::Image::morphology(), Magick::Image::morphologyChannel(), mosaicImages(), Magick::Image::motionBlur(), Magick::Image::oilPaint(), Magick::DrawableCompositeImage::operator=(), optimizeImageLayers(), optimizePlusImageLayers(), Magick::Image::ping(), Magick::Image::polaroid(), quantizeImages(), Magick::Image::read(), readImages(), Magick::Image::reduceNoise(), Magick::ImageRef::replaceImage(), Magick::Image::replaceImage(), Magick::Image::resample(), Magick::Image::resize(), Magick::Image::roll(), Magick::Image::rotate(), Magick::Image::rotationalBlur(), Magick::Image::rotationalBlurChannel(), Magick::Image::sample(), Magick::Image::scale(), Magick::Image::selectiveBlur(), Magick::Image::selectiveBlurChannel(), Magick::Image::separate(), separateImages(), Magick::Image::sepiaTone(), Magick::Image::shade(), Magick::Image::shadow(), Magick::Image::sharpen(), Magick::Image::sharpenChannel(), Magick::Image::shave(), Magick::Image::shear(), Magick::Image::sketch(), smushImages(), Magick::Image::sparseColor(), Magick::Image::splice(), Magick::Image::spread(), Magick::Image::stegano(), Magick::Image::stereo(), Magick::Options::strokeColor(), Magick::Image::strokePattern(), Magick::Image::subImageSearch(), Magick::Image::swirl(), Magick::Image::thumbnail(), Magick::Image::tint(), Magick::Image::transpose(), Magick::Image::transverse(), Magick::Image::trim(), Magick::Image::uniqueColors(), unlinkImages(), Magick::Image::unsharpmask(), Magick::Image::unsharpmaskChannel(), Magick::Image::vignette(), Magick::Image::wave(), Magick::Image::waveletDenoise(), Magick::Image::zoom(), and Magick::ImageRef::~ImageRef().

## ◆ Offset

class MagickPPExport Magick::Offset

Definition at line 143 of file Geometry.h.

## ◆ Point

class MagickPPExport Magick::Point

Definition at line 200 of file Geometry.h.

Referenced by Magick::Options::density(), Magick::Image::density(), and main().

## ◆ raiseGeometryDefault

MagickPPExport const char * Magick::raiseGeometryDefault ="6x6+0+0"

Definition at line 36 of file Image.cpp.